body {
    text-align: center;
    background: #f4f4f4;
    margin: 0;
    font-family: Arial, sans-serif;
}

.sort-container {
    text-align: center; 
    margin-bottom: 20px;
}

label[for="sort-key"] {
    font-weight: bold;
    font-size: 1.5em;
    vertical-align: middle;
    margin-right: 10px;
}

#sort-key {
    display: inline-block;
    width: auto;
    padding: 5px;
    font-size: 1rem;
    vertical-align: middle;
}
#data-table {
    width: 60%;
    margin: 20px auto;
    border-collapse: collapse;
    background: #fff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

#data-table th, #data-table td {
    padding: 8px;
    border: 1px solid #ddd;
}

#data-table .group-header {
    background: #f1c1c1;
    font-weight: bold;
}

#data-table .group-header-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

#data-table tr:not(.group-header):nth-child(even) {
    background-color: #f2f2f2;
}

.group-name {
    text-align: left;
}

button {
    text-align: right;
    margin-left: auto;
    padding: 5px 10px;
    cursor: pointer;
    background-color: #e7e7e7;
    border: none;
    border-radius: 3px;
}

button:hover {
    background-color: #d7d7d7;
}

#forms-container {
    display: none;
}
